html {
  box-sizing: border-box;
}

body {
  margin: 0; padding: 0;
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

.title {
  text-transform: capitalize;
}

h1 {
  padding: 0;
  margin: 0;
}


h2, h3, h4, h5, h6 {
  padding: 0;
  margin: 0;
}

/* HOME STYLING */
#featured {
  display: flex;
  justify-content: center;
  align-items: center;
}

#featured > img {
  width: 100%;
  object-fit: cover;
  border: 2px solid black;
}

#home .container {
  padding: 1rem;
  margin: 1rem auto;
  max-width: 850px;
}

#home nav ul {
  list-style: none;
  padding: 0;
  display: flex;
  flex-direction: row;
  justify-content: center;
}

#home nav ul li a {
  display: inline;
  color: black;
  font-weight: bold;
}

#home nav ul li:not(:last-child)::after {
    content: "/ ";
    padding: 0 8px;
}

#card-gallery {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-around;
  flex-wrap: wrap;
  margin: 1rem 0;
  gap: .5rem;
}

#card-gallery .card {
  text-align: center;
  border: 1px solid black;
  width: clamp(200px, 25%, 400px);
  height: 150px;
  padding: .5rem;
}

.columns {
  width: 100%;
  display: grid;
  grid-template-columns: 1fr 2fr;
  gap: .5rem;
  margin: 1rem 0;
}

.columns .left {
  display: flex;
  justify-content: center;
  align-items: center;
}

#home footer {
  border: 1px solid black;
  padding: .5rem;
}
/* NOVEL STYLING */

#novel .container {
  display: grid;
  padding: 2em;
  gap: 2em;
  grid-template-columns: 200px 1fr;
  grid-template-rows: auto 1fr;
  height: 100%;
}

#novel aside {
  overflow-y: auto;
  padding: 1em;
}

#novel aside h2 {
  font-size: 1rem;
}

#novel nav ul {
  padding-left: 12px;
}

#novel main {
  overflow-y: scroll;
  padding: 1em;
  margin-bottom: 2em;
}

/* IMG GALLERY STYLING */
#novel .img-gallery {
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-start;
  gap: 1em;
}

#novel .img-gallery .item {
  height: 250px;
}

#novel .img-gallery .item img {
  height: 100%;
  width: auto;
}

/* READING SECTION */

#reading {
  height: auto;
  width: auto;
  overflow-y: auto;
}

#reading .container {
  height: 100%;
  background-color: white;
}

#reading .container main {
  margin: auto;
  padding: 0 0.25em;
  max-width: 72em;
}

#reading img {
  display: block;
  margin: auto;
}

#reading h1 {
  text-align: center;
}

#reading header, #reading footer {
  padding: 0 0;
  width: 100%;
  background-color: #ccc;
}

#reading header {
  box-shadow:
    inset 0 -6px 10px rgba(0, 0, 0, 0.35),
    1px 1px 3px -1px rgba(0, 0, 0, 0.25),
    inset 0 -1px 0 rgba(0, 0, 0, 0.85);
}

#reading footer {
  box-shadow:
    inset 0 6px 10px rgba(0, 0, 0, 0.35),
    1px 1px 3px 1px rgba(0, 0, 0, 0.25),
    inset 0 1px 0 rgba(0, 0, 0, 0.85);
}

#reading nav {
  padding: 2px 1em;
}

#reading nav a {
  color: inherit;
  text-decoration: none;
}

#reading nav ul {
  list-style: none;
  display: flex;
  gap: .75em;
}

#reading header ul {
  justify-content: right;
}

#reading footer ul {
  justify-content: center;
}

#reading hr {
  width: 50%;
}

#reading .button {
  display: inline-block;
  outline: 0;
  appearance: none;
  padding: 0 12px;
  text-align: center;
  border-radius: 4px;
  text-decoration: none;
  cursor: pointer;
  background-color: rgb(249, 251, 250);
  border: 1px solid rgb(137, 151, 155);
  box-shadow: rgb(6 22 33 / 30%) 0px 1px 2px;
  color: rgb(61, 79, 88);
  font-size: 1.02rem;
  font-weight: 400;
  height: 30px;
  line-height: 30px;
  transition: all 150ms ease-in-out 0s;
}

#reading .button:hover {
  color: rgb(61, 79, 88);
  background-color: rgb(255, 255, 255);
  border: 1px solid rgb(93, 108, 116);
  box-shadow: inset 2px 2px 2px #bbb;
}

button {
  background-color: transparent;
  border: none;
  margin: 0;
  padding: 0;
  text-align: inherit;
  font: inherit;
  color: inherit;
  border-radius: 0;
  appearance: none;
}
